{#
/**
 * @file
 * Theme override for a field.
 *
 * To override output, copy the "field.html.twig" from the templates directory
 * to your theme's directory and customize it, just like customizing other
 * Drupal templates such as page.html.twig or node.html.twig.
 *
 * Instead of overriding the theming for all fields, you can also just override
 * theming for a subset of fields using
 * @link themeable Theme hook suggestions. @endlink For example,
 * here are some theme hook suggestions that can be used for a field_foo field
 * on an article node type:
 * - field--node--field-foo--article.html.twig
 * - field--node--field-foo.html.twig
 * - field--node--article.html.twig
 * - field--field-foo.html.twig
 * - field--text-with-summary.html.twig
 * - field.html.twig
 *
 * Available variables:
 * - attributes: HTML attributes for the containing element.
 * - label_hidden: Whether to show the field label or not.
 * - title_attributes: HTML attributes for the title.
 * - label: The label for the field.
 * - multiple: TRUE if a field can contain multiple items.
 * - items: List of all the field items. Each item contains:
 *   - attributes: List of HTML attributes for each item.
 *   - content: The field item's content.
 * - entity_type: The entity type to which the field belongs.
 * - field_name: The name of the field.
 * - field_type: The type of the field.
 * - label_display: The display settings for the label.
 *
 *
 * @see template_preprocess_field()
 */
#}
{%
  set classes = [
    'field',
    'field-' ~ field_name|clean_class,
    multiple ? 'field-multiple' : 'field-single',
  ]
%}
{%
  set title_classes = [
    'label',
    'field-label',
    label_display == 'visually_hidden' ? 'visually-hidden',
    label_display == 'inline' ? 'label-inline',
  ]
%}

{% if label_hidden %}
  {% if multiple %}
    <div{{ attributes }}>
      {% for item in items %}
        <div{{ item.attributes }}>{{ item.content }}</div>
      {% endfor %}
    </div>
  {% else %}
    {% for item in items %}
      {{ item.content }}
    {% endfor %}
  {% endif %}
{% elseif not multiple and label_display == 'inline' %}
  <p{{ attributes.addClass(classes) }}>
    <span {{ title_attributes.addClass(title_classes) }}>{{ label }}</span>
    {% if multiple %}
      <ul class="list-inline">
        {% for item in items %}
          <li{{ item.attributes.addClass('field-item') }}>{{ item.content }}</li>
        {% endfor %}
      </ul>
    {% else %}
      {% for item in items %}{{ item.content }}{% endfor %}
    {% endif %}
  </p>
{% elseif multiple and label_display == 'inline' %}
  <div{{ attributes.addClass(classes) }}>
    <span {{ title_attributes.addClass(title_classes) }}>{{ label }}</span>
    {% if multiple %}
      <ul class="list-inline">
        {% for item in items %}
          <li{{ item.attributes.addClass('field-item') }}>{{ item.content }}</li>
        {% endfor %}
      </ul>
    {% else %}
      {% for item in items %}{{ item.content }}{% endfor %}
    {% endif %}
  </div>
{% else %}
  {% if label_display == 'above' %}
    <h4 {{ title_attributes.addClass(title_classes) }}>{{ label }}</h4>
  {% endif %}
  {% if multiple %}
    <ul{{ attributes.addClass(classes, 'list-unstyled') }}>
      {% for item in items %}
        <li{{ item.attributes }}>{{ item.content }}</li>
      {% endfor %}
    </ul>
  {% else %}
    {% for item in items %}
      <div{{ attributes.addClass(classes) }}>{{ item.content }}</div>
    {% endfor %}
  {% endif %}
{% endif %}
